package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ActivityParamPO;
import mhp.oee.po.gen.ActivityParamPOExample;

public interface ActivityParamPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    int countByExample(ActivityParamPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    int deleteByExample(ActivityParamPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    int insert(ActivityParamPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    int insertSelective(ActivityParamPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    List<ActivityParamPO> selectByExample(ActivityParamPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    ActivityParamPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ActivityParamPO record, @Param("example") ActivityParamPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ActivityParamPO record, @Param("example") ActivityParamPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ActivityParamPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table activity_param
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ActivityParamPO record);
}